You are not logged in.

#1 2013-02-21 11:09:53

W.F.Cody
Member
From: Ghent
Registered: 2010-11-18
Posts: 125

Binutils and GCC version interdependencies? (cross compiler)

Hi

I have started again with trying to set up a cross compiler for the i386-plan9 target.

There is a very old port of the GNU toolchain to Plan9, which can be found at:
http://plan9.bell-labs.com/sources/extra/gcc/gnusrc.tgz

I tried apply the changes made to binutils (the first step in setting up a cross compiler) in a modern release, but during make, there was a complaint about not finding the i386_plan9_vec (I had changed the bfd/config.bfd and all the other stuff I could find by googling).

Because of this, I have now built the old (2.11.2) binutils from the original port (some cleaning up and minor source changes were needed to build on modern glibc, typedef change of sbrk for example).
This temporary build can be found at:
https://aur.archlinux.org/packages/i386-plan9-binutils/

The purpose of building this old version temporarily was to move on to the next steps and get the compiler and C library working (the two following steps for a cross compiler) to at least have a proof-of-concept cross compiler set up.

What I wonder now is : What is the newest version of GCC that can be expected to work using binutils 2.11.2?
I have not found any tables with version dependencies anywhere.

If anyone is interested in helping out experimenting, a tip for easy testing on Plan9 is to run Plan9 under 9vx
https://aur.archlinux.org/packages/9vx-hg/
https://wiki.archlinux.org/index.php/9vx
and try to execute resulting binaries from the cross compiler (that is at least the way I am going to try it out until I know that it works, and then I plan to take the toolchain native).


My AUR packages
Any package of mine is up for grabs. If you think you could mantain it better - just contact me!

Offline

#2 2013-02-21 11:24:22

Allan
Developer
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,408
Website

Re: Binutils and GCC version interdependencies? (cross compiler)

W.F.Cody wrote:

What I wonder now is : What is the newest version of GCC that can be expected to work using binutils 2.11.2?

Hrm...  that is around 2006...  gcc-4.0 was released then.   I'd guess a few version newer would work too.

Offline

#3 2013-06-12 15:28:03

W.F.Cody
Member
From: Ghent
Registered: 2010-11-18
Posts: 125

Re: Binutils and GCC version interdependencies? (cross compiler)

For future reference if someone hits this thread:

http://wiki.osdev.org/Cross-Compiler_Successful_Builds


My AUR packages
Any package of mine is up for grabs. If you think you could mantain it better - just contact me!

Offline

Board footer

Powered by FluxBB